package com.copy.trade.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.copy.trade.entity.po.Favorite;
import com.baomidou.mybatisplus.extension.service.IService;
import com.copy.trade.entity.vo.TraderVo;

/**
 * <p>
 * 关注表 服务类
 * </p>
 *
 * @author wz
 * @since 2022-11-08
 */
public interface IFavoriteService extends IService<Favorite> {

    Boolean favorite(Long customerId, Long traderId);

    Boolean unfavorite(Long customerId, Long traderId);

    Page<TraderVo> list(Long customerId, Page newFormPage);

    Boolean isFavorite(Long customerId, Long traderId);
}
